import sys
import re

header_to_mock = sys.argv[1]
mock_c = sys.argv[2]
mock_h = sys.argv[3]

with open(header_to_mock) as f:
    functions = re.findall(r'(void ([\w][\w\d]*)\(void\))', f.read())

with open(mock_c, 'w') as impl, open(mock_h, 'w') as header:
    impl.write('#include <stdio.h>\n')
    for prototype, name in functions:
        header.write(prototype + ';')
        impl.write(prototype + r'{{ printf("Calling {}\n"); }}'.format(name))